Create a draft or scheduled post
curl --request POST \
--url https://api.dev.postinger.dev/public/v1/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "",
"mediaIds": [],
"targets": [],
"scheduledAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.dev.postinger.dev/public/v1/posts"
payload = {
"content": "",
"mediaIds": [],
"targets": [],
"scheduledAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '', mediaIds: [], targets: [], scheduledAt: '2023-11-07T05:31:56Z'})
};
fetch('https://api.dev.postinger.dev/public/v1/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"content": "<string>",
"scheduledAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"targets": [
{
"socialAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "instagram",
"handle": "<string>",
"contentOverride": "<string>",
"options": {
"format": "feed",
"shareToFeed": true,
"link": "<string>",
"youtubeTitle": "<string>",
"youtubeDescription": "<string>",
"youtubePrivacy": "private",
"youtubeMadeForKids": true,
"youtubeTags": [
"<string>"
],
"tiktokMode": "direct",
"tiktokCaption": "<string>",
"tiktokPrivacy": "PUBLIC_TO_EVERYONE",
"tiktokAllowComment": true,
"tiktokAllowDuet": true,
"tiktokAllowStitch": true,
"tiktokDisclose": true,
"tiktokBrandContent": true,
"tiktokBrandOrganic": true,
"tiktokIsAigc": true
},
"status": "pending",
"externalPostId": "<string>",
"error": "<string>",
"waitReason": "<string>",
"nextAttemptAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z"
}
],
"media": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "image",
"url": "<string>",
"posterUrl": "<string>",
"sourceAvailable": true,
"contentType": "<string>",
"width": 123,
"height": 123,
"durationSeconds": 123
}
]
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "<string>"
}
}Posts
Create a draft or scheduled post
Required permissions: posts-write.
POST
/
posts
Create a draft or scheduled post
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Reuse for the same logical request for up to 24 hours. Concurrent retries return 409. Replays return the original data and HTTP status.
Pattern:
^[A-Za-z0-9_.-]{1,128}$Body
application/json
Maximum string length:
10000Maximum array length:
10Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Maximum array length:
20Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Was this page helpful?